Package org.eclipse.e4.ui.model.application.ui

# Interface MImperativeExpression

All Superinterfaces:
  `MApplicationElement`, `MContribution`, `MExpression`

All Known Implementing Classes:
  `ImperativeExpressionImpl`

public interface MImperativeExpression extends MExpression, MContribution
A representation of the model object 'Imperative Expression'.

The following features are supported:

- `Tracking`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isTracking()`
Returns the value of the 'Tracking' attribute.
`void`
`setTracking(boolean value)`
Sets the value of the '`Tracking`' attribute.

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface org.eclipse.e4.ui.model.application.MContribution

`getContributionURI, getObject, setContributionURI, setObject`

## Method Details

### isTracking

boolean isTracking()
Returns the value of the 'Tracking' attribute.

Returns:
  the value of the 'Tracking' attribute.
See Also:
  - `setTracking(boolean)`

### setTracking

void setTracking(boolean value)
Sets the value of the '`Tracking`' attribute.

Parameters:
  `value` - the new value of the 'Tracking' attribute.
See Also:
  - `isTracking()`